## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# Defaulteffectors

## Classes

struct | iParticleBuiltinEffectorFactory
| Factory for builtin effectors. More...
struct | iParticleBuiltinEffectorForce
| Simple force/acceleration applied to particles. More...
struct | iParticleBuiltinEffectorLinColor
| Simple linear interpolation of particle color based on particle lifetime. More...
struct | iParticleBuiltinEffectorVelocityField
| Velocity field effector. More...

## Enumerations

enum | csParticleBuiltinEffectorVFType { CS_PARTICLE_BUILTIN_SPIRAL, CS_PARTICLE_BUILTIN_RADIALPOINT }
| Velocity field effector types Determine the ODE the velocity field effector will solve to get new particle positions from current ones. More...

## Enumeration Type Documentation

enum csParticleBuiltinEffectorVFType

Velocity field effector types Determine the ODE the velocity field effector will solve to get new particle positions from current ones.

Enumerator:

  CS_PARTICLE_BUILTIN_SPIRAL | Spiral around a given line. ODE: pl = closest point on line defined by vparam[0] + t*vparam[1] p' = vparam[2] * p-pl x vparam[1] + (p-pl) * fparam[0] + vparam[3]
  CS_PARTICLE_BUILTIN_RADIALPOINT | Exhort a radial movement relative to a given point. ODE: p' = p-vparam[0] / |p-vparam[0]| * (fparam[0] + fparam[1] * sin(t))

Definition at line 723 of file particles.h.